{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}

    <div class="container-fluid">
        <div class="row justify-content-center h-100">
{#            <div class="col-lg-4 align-self-center"></div>#}
            <div class="col-lg-4">
                <form method="post" >
                    {% if error %}
                        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                    {% endif %}

                    {% if app.user %}
                        <div class="mb-3">
                            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                        </div>
                    {% endif %}

                    <h1 class="h3 mb-3 font-weight-normal">Authentification</h1>
                    <label for="inputNickname">Nickname</label>
                    <input type="text" value="{{ last_username }}" name="nickname" id="inputNickname"
                           class="form-control" required autofocus>
                    <label for="inputPassword">Password</label>
                    <input type="password" name="password" id="inputPassword" class="form-control" required>

                    <input type="hidden" name="_csrf_token"
                           value="{{ csrf_token('authenticate') }}"
                    >
                    <br>
                    <button class="btn btn-lg btn-primary" type="submit">
                        Login
                    </button>
                    <div class="rememberMe">
                        <input type="checkbox" id="remember_me" name="_remember_me" checked/><label for="remember_me">Keep
                            me logged in</label>
                        <br>
                        <a href="{{ url('forgotpassword')}}" class="forgotPassword">Forgot Password</a>
                    </div>
                </form>
            </div>
{#            <div class="col-lg-4 align-self-center"></div>#}
        </div>

    </div>


    <style>
        .container-fluid {
            height: 100vh;
        }
    </style>
{% endblock %}
